Gå til hovedinnhold
Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.

Fetch market activity summary for a specific area.

POST 

/map-layer/chart/number-of-transaction

Market Activity Chart Data By Transaction For Area Analysis Endpoint

Overview

This API returns a chart data based on transaction data of market activity. By giving it the same request as /api/public/map-layer/market-activity/summary, you will be able to generate a chart based on the transactions of the summary. Optionally, a price range can also be provided to further filter for the charts data. Use geojson for generating the coordinates in a geojson format.

Parameters

ParameterTypeRequiredDescription
bboxlist[list[list[float]]]YesA geojson data that contains the coordinates of a geometry
property-typelist[integer]YesThe property type for which the data is recorded. It is expected to be a list of integers, where the values represent, 0: 'leilighet', 1: 'enebolig', 2: 'tomannsbolig', 3: 'rekkehus', 4: 'fritidsbolig'.
market-activity-typelist[integer]YesThe market activity type for which the data is recorded. It is expected to be a list of integers, where the values represent, 0: 'OPM_TRANSACTION', 1: 'AD', 2: 'FOR_SALE', 3: 'OTHER_TRANSACTION'. Here OPM_TRANSACTION means Open Market Transaction meaning valid transactions, AD means this advertisement is not live/active for sale anymore, FOR_SALE means they are currently live/active for sale, OTHER_TRANSACTION did not happen in open market.
time-periodstringYesFor last how many days of data should be fetched. The values can be '3 mo', '6 mo', '1 yr', '2 yr', '3 yr', '4 yr', '5 yr', '10 yr'.
braobjectYesObject containing 2 values, min and max. Example: { "min": 0, "max": 100 }
priceobjectYesObject containing 2 values, min and max. Example: { "min": 0, "max": 100 }

Headers

HeaderValue
acceptapplication/json
api-keyYOUR_API_KEY

Example Request

curl -X 'POST' \
'https://apis.propcloud.no/api/public/map-layer/chart/number-of-transaction' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"bbox": {
"type": "Polygon",
"coordinates": [
[
[
10.776086561681458,
59.9028339763978
],
[
10.781317878721966,
59.9028339763978
],
[
10.781317878721966,
59.90083870179467
],
[
10.776086561681458,
59.90083870179467
],
[
10.776086561681458,
59.9028339763978
]
]
]
},
"property-type": [
0,
1,
2,
3,
4
],
"market-activity-type": [
0,
1,
2,
3
],
"time-period": "3 mo",
"bra": {
"min": 0,
"max": 100
},
"price": {
"min": 10000,
"max": 10000000
}
}'

Request

Responses

Successful Response

Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.